package com.gic.haoban.manage.api.service;

import com.gic.api.base.commons.ServiceResponse;

/**
 * Created by tgs on 2020/2/9.
 */
public interface TestApiService {
    /**
     * 测试
     * @param id
     * @return
     */
    String checkThread(String id, Long expireTime);
    
    
    /**
     * 拉取自己部门企业微信通讯录
     * @return
     */
    String listSelfQywxUser(String corpid, String secretVal, String dataId);
    
    /**
     * 拉取所有部门企业微信通讯录
     * @return
     */
    String listAllQywxUser(String corpid, String secretVal, String dataId);

    /**
     * 创建定时器
     *
     * @param serviceName
     * @param methodName
     * @param cron
     */
    void quartzTaskConvert(String serviceName, String methodName, String cron, String params,String referId);


    /**
     * 删除定时器
     *
     * @param serviceName 服务名称
     * @param methodName  方法名称
     * @param referId     引用id
     */
    void delQuartzTask(String serviceName, String methodName, String referId);


    /**
     * 拉取所有部门企业微信通讯录
     * @return
     */
    ServiceResponse listAllQywxUser(String params);
}
